Bulk create assignments
curl --request POST \
--url https://api.avidoai.com/v0/quickstarts/{id}/assignments/bulk \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>' \
--data '
{
"assignments": [
{
"stage": "KB_REVIEW",
"assignedTo": "user_789012",
"topicId": "789e4567-e89b-12d3-a456-426614174000"
}
]
}
'import requests
url = "https://api.avidoai.com/v0/quickstarts/{id}/assignments/bulk"
payload = { "assignments": [
{
"stage": "KB_REVIEW",
"assignedTo": "user_789012",
"topicId": "789e4567-e89b-12d3-a456-426614174000"
}
] }
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-application-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
assignments: [
{
stage: 'KB_REVIEW',
assignedTo: 'user_789012',
topicId: '789e4567-e89b-12d3-a456-426614174000'
}
]
})
};
fetch('https://api.avidoai.com/v0/quickstarts/{id}/assignments/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 5
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Assignments
Bulk create assignments
Creates multiple assignments in a single request.
POST
/
v0
/
quickstarts
/
{id}
/
assignments
/
bulk
Bulk create assignments
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Path Parameters
The quickstart ID
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"234e4567-e89b-12d3-a456-426614174000"
Body
application/json
Request body for bulk creating assignments
Array of assignments to create
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Response
Successfully created assignments
Response for bulk assignment operations
Number of assignments affected
Required range:
0 <= x <= 9007199254740991Example:
5
⌘I